Welcome to the iMore Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 2 of 2
  1. Thread AuthorThread Author   #1  
    ryadaddy's Avatar
    iPhone Nanite

    1 Posts

    Default MLB At Bat

    I just got a new Ipad. Love it (so far). I downloaded the new baseball At Bat app.

    But when I went to get that app for my ipod touch (2nd generation), I was informed that it is incompatible. Ugh. I much enjoy listening to ball games on the touch. Any way around this -- short of buying a new ipod touch?
  2. #2  
    pkcable's Avatar
    Q&A Jedi

    3,349 Posts
    Global Posts
    38,374 Global Posts


    You might be able to get it loaded to a jailbroken ipod. Last year's version worked on my jailbroken ipod touch 2nd gen. I have seen sold the device so I can't check for you, BUT I suspect it would work.

    EDIT: Hopefully your touch has not been updated to 5.0 OS, because that is MUCH harder to jailbreak, and often requires you to "re" jailbreak it after a reboot.

Posting Permissions